'UPDATE LOG
'==========
'****************************************************************************
'VER    DATE      CHANGE
'3.3    02/01/05  VERSION ADDED
'****************************************************************************

Imports System
Imports System.Windows.Forms
Imports System.IO
Imports System.Runtime.Serialization.Formatters.Binary
Imports System.Runtime.Serialization

Module Startup
    Public ReadOnly mrcc As String = "Model Railway Computer Control Centre"
    Public ReadOnly MRCCCVersion As String = "RELEASE 2 (4.1)"

    Public Data As New LayoutData
    Public HW As New Hardware(Data.MaxRPCBytes)
    Public mComs(3) As Boolean 'Com Port Status
    Public Mode As Integer = 0
    Public ModeChangeFlag As Boolean = False
    Public ProcessingFlag As Boolean = False
    Public TORRInProgressFlag As Boolean = False
    Public UserRequestInProgressFlag As Boolean = False
    Public DataChangedFlag As Boolean = False
    Public fn As String = ""
    Public GUI As New MainScreen()
    
    Sub Main()
        System.Threading.Thread.CurrentThread.Name = "Main Thread"

        Dim i As Integer
        Dim args As String()
        args = Environment.GetCommandLineArgs()
        If args.Length > 1 Then fn = args(1)
        If fn = "" Then fn = "*SKIPFILEOPEN*" 'Code to Open to skip Open if no argument passed.
        GUI.Initialise()

        GUI.ShowDialog()

        '    'Main Screen Running at this point

        GUI.Close()
        GUI = Nothing
    End Sub

End Module
